Subject: Re: bug#29565: [PATCH] Support xwidget webkit for macOS X

From: 조성빈 <[email-masked]>
Date: Wed, 12 Aug 2020 12:46:31 +0900

On Aug 12, 2020, at 5:50 AM, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
>> So, tomorrow I'll look into the warnings and get this thing checked in
>> and pushed.
> 
> That is, unless Sungbin chimes in...  and has a new patch set that he's
> worked on in the year since this was discussed last or something.  :-)

Unfortunately I don’t have a new patchset that I’ve been working on... (I lost interest on this after the long thread on Obj-C and gcc) but I’ll be more than happy to incorporate the patch on master (but only if I have the confidence that my time will be spent well and not being blocked by the gcc issue, I guess).

IIRC, the biggest problem was that the patch currently just messages (a lot) when two xwidget views gets duplicated and Emacs can’t display one. The sensible approach would be to show another view (I guess a NSView with a NSTextField label in it?) but I’m not familiar enough with the display engine (as I didn’t write the code from scratch). Maybe someone might help on that part...?

> Sungbin?
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
> bloggy blog: http://lars.ingebrigtsen.no